import request from '@/utils/request'

// 创建满意度
export function createmyd(data) {
  return request({
    url: '/system/myd/create',
    method: 'post',
    data: data
  })
}

// 更新满意度
export function updatemyd(data) {
  return request({
    url: '/system/myd/update',
    method: 'put',
    data: data
  })
}

// 删除满意度
export function deletemyd(id) {
  return request({
    url: '/system/myd/delete?id=' + id,
    method: 'delete'
  })
}

// 获得满意度
export function getmyd(id) {
  return request({
    url: '/system/myd/get?id=' + id,
    method: 'get'
  })
}

// 获得满意度分页
export function getmydPage(query) {
  return request({
    url: '/system/myd/page',
    method: 'get',
    params: query
  })
}

// 导出满意度 Excel
export function exportmydExcel(query) {
  return request({
    url: '/system/myd/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
